<?php
/*
 * Copyright (c) 2025 AltumCode (https://altumcode.com/)
 *
 * This software is licensed exclusively by AltumCode and is sold only via https://altumcode.com/.
 * Unauthorized distribution, modification, or use of this software without a valid license is not permitted and may be subject to applicable legal actions.
 *
 * 🌍 View all other existing AltumCode projects via https://altumcode.com/
 * 📧 Get in touch for support or general queries via https://altumcode.com/contact
 * 📤 Download the latest version via https://altumcode.com/downloads
 *
 * 🐦 X/Twitter: https://x.com/AltumCode
 * 📘 Facebook: https://facebook.com/altumcode
 * 📸 Instagram: https://instagram.com/altumcode
 */

defined('ALTUMCODE') || die();

return [
    'round_bottom_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <path d="M22.7,0H1.3C0.6,0,0,0.6,0,1.3v25.3C0,27.4,0.6,28,1.3,28h21.3c0.7,0,1.3-0.6,1.3-1.3V1.3C24,0.6,23.4,0,22.7,0 z M23,22c0,0.6-0.5,1-1,1H2c-0.6,0-1-0.5-1-1V2c0-0.6,0.5-1,1-1h20c0.6,0,1,0.5,1,1V22z"></path>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.167,
        'frame_scale' => 24,

        'qr_background_scale' => 1.06,
        'qr_background_x' => 33.33,
        'qr_background_y' => 33.33,

        'qr_scale' => .85,
        'qr_translate_x' => 11.5,
        'qr_translate_y' => 11.5,

        'frame_text_x' => 50, // %
        'frame_text_y' => 92, // %
        'frame_text_size_scale' => 13,
        'frame_text_size_min_scale' => 50,
    ],

    'round_top_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <path d="M1.3,28L22.6,28c0.7,0,1.3-0.6,1.3-1.3L24,1.4c0-0.7-0.6-1.3-1.3-1.3L1.4,0C0.7,0,0.1,0.6,0,1.3L0,26.6 C-0.1,27.4,0.5,28,1.3,28z M1,6c0-0.6,0.5-1,1-1L22,5c0.6,0,1,0.5,1,1L23,26c0,0.6-0.5,1-1,1L2,27c-0.6,0-1-0.5-1-1L1,6z"></path>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.167,
        'frame_scale' => 24,

        'qr_background_scale' => 1.06,
        'qr_background_x' => 33.33,
        'qr_background_y' => 5,

        'qr_scale' => .85,
        'qr_translate_x' => 11.5,
        'qr_translate_y' => 3.5,

        'frame_text_x' => 50, // %
        'frame_text_y' => 10, // %
        'frame_text_size_scale' => 15,
        'frame_text_size_min_scale' => 50,
    ],

    'tooltip_bottom_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <path d="M1.3,24l21.3,0c0.7,0,1.3-0.6,1.3-1.3l0-21.3C24,0.6,23.4,0,22.7,0L1.3,0C0.6,0,0,0.6,0,1.3l0,21.3 C0,23.4,0.6,24,1.3,24z M1,2c0-0.6,0.5-1,1-1l20,0c0.6,0,1,0.5,1,1v20c0,0.6-0.5,1-1,1L2,23c-0.6,0-1-0.5-1-1V2z"></path>
                            <path d="M1,30h22c0.5,0,1-0.4,1-1v-3c0-0.5-0.4-1-1-1H13l-1-1l-1,1H1c-0.5,0-1,0.4-1,1v3C0,29.6,0.4,30,1,30z"></path>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.25,
        'frame_scale' => 24,

        'qr_background_scale' => 1.06,
        'qr_background_x' => 33.33,
        'qr_background_y' => 33.33,

        'qr_scale' => .85,
        'qr_translate_x' => 11.5,
        'qr_translate_y' => 11.5,

        'frame_text_x' => 50, // %
        'frame_text_y' => 92, // %
        'frame_text_size_scale' => 13,
        'frame_text_size_min_scale' => 50,
    ],

    'tooltip_top_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <path d="M22.7,6L1.3,6C0.6,6,0,6.6,0,7.3l0,21.3C0,29.4,0.6,30,1.3,30l21.3,0c0.7,0,1.3-0.6,1.3-1.3l0-21.3 C24,6.6,23.4,6,22.7,6z M23,28c0,0.6-0.5,1-1,1L2,29c-0.6,0-1-0.5-1-1V8c0-0.6,0.5-1,1-1l20,0c0.6,0,1,0.5,1,1V28z"></path><path d="M23,0H1C0.4,0,0,0.4,0,1v3c0,0.5,0.4,1,1,1h10l1,1l1-1h10c0.5,0,1-0.4,1-1V1C24,0.4,23.6,0,23,0z"></path>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.25,
        'frame_scale' => 24,

        'qr_background_scale' => 1.06,
        'qr_background_x' => 33.33,
        'qr_background_y' => 3.5,

        'qr_scale' => .85,
        'qr_translate_x' => 11.5,
        'qr_translate_y' => 2.6,

        'frame_text_x' => 50, // %
        'frame_text_y' => 8.5, // %
        'frame_text_size_scale' => 15,
        'frame_text_size_min_scale' => 50,
    ],

    'ribbon_bottom_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <path d="M24,21h-1.7V1.7H1.7V21H0l1,2l-1,2h1v2h22v-2h1l-1-2L24,21z M2,2h20v19v1H2v-1V2z"></path>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.1,
        'frame_scale' => 24,

        'qr_background_scale' => 1.17,
        'qr_background_x' => 13.88,
        'qr_background_y' => 13.88,

        'qr_scale' => .8,
        'qr_translate_x' => 8,
        'qr_translate_y' => 8,

        'frame_text_x' => 50, // %
        'frame_text_y' => 92, // %
        'frame_text_size_scale' => 13,
        'frame_text_size_min_scale' => 50,
    ],

    'ribbon_top_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <path d="M0,6h1.7v19.3h20.7V6H24l-1-2l1-2h-1V0H1v2H0l1,2L0,6z M22,25H2V6V5h20v1V25z"></path>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.1,
        'frame_scale' => 24,

        'qr_background_scale' => 1.17,
        'qr_background_x' => 13.88,
        'qr_background_y' => 5,

        'qr_scale' => .8,
        'qr_translate_x' => 8,
        'qr_translate_y' => 3.55,

        'frame_text_x' => 50, // %
        'frame_text_y' => 10, // %
        'frame_text_size_scale' => 15,
        'frame_text_size_min_scale' => 50,
    ],

    'tooltip_snap_top_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <g transform="matrix(2.399191, 0, 0, 2.399191, -109.938606, -7.37865)" style="">
                              <path d="M224.88,93.12h19.39a5,5,0,0,1,5,5v18.73H254V98.12a9.68,9.68,0,0,0-9.68-9.68H224.88Z"></path>
                              <path d="M50.73,116.85V98.12a5,5,0,0,1,5-5H73.8V88.44H55.73a9.68,9.68,0,0,0-9.68,9.68v18.73Z"></path>
                              <path d="M73.8,291.67H55.73a5,5,0,0,1-5-5V267.94H46.05v18.73a9.68,9.68,0,0,0,9.68,9.68H73.8Z"></path>
                              <path d="M249.27,267.94v18.73a5,5,0,0,1-5,5H224.88v4.68h19.39a9.68,9.68,0,0,0,9.68-9.68V267.94Z"></path>
                              <path d="M244.75,3.65H55.45A9.25,9.25,0,0,0,46.2,12.9V54.46a9.25,9.25,0,0,0,9.25,9.26H126a2.32,2.32,0,0,1,1.64.67l20.74,20.74a2.33,2.33,0,0,0,3.28,0l20.75-20.74a2.28,2.28,0,0,1,1.64-.67h70.58a9.25,9.25,0,0,0,9.25-9.26V12.9A9.18,9.18,0,0,0,244.75,3.65Z"></path>
                            </g>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.41,
        'frame_scale' => 500,

        'qr_background_scale' => 1.041,
        'qr_background_x' => 62.5,
        'qr_background_y' => 2.325,

        'qr_scale' => .85,
        'qr_translate_x' => 11.75,
        'qr_translate_y' => 1.75,

        'frame_text_x' => 50, // %
        'frame_text_y' => 10, // %
        'frame_text_size_scale' => 15,
        'frame_text_size_min_scale' => 50,
    ],

    'tooltip_snap_bottom_text' => [
        'svg' => '<svg width="%1$s" height="%2$s" viewBox="0 0 %1$s %2$s" fill="%4$s" xmlns="http://www.w3.org/2000/svg">
                        <g transform="scale(%3$s) translate(0 0)">
                            <g transform="matrix(2.399191, 0, 0, 2.399191, -109.938606, -7.37865)" style="">
                              <path d="M 225.107 7.755 L 244.497 7.755 C 247.258 7.755 249.497 9.994 249.497 12.755 L 249.497 31.485 L 254.227 31.485 L 254.227 12.755 C 254.227 7.409 249.893 3.075 244.547 3.075 L 225.107 3.075 L 225.107 7.755 Z"></path>
                              <path d="M 50.393 31.485 L 50.393 12.755 C 50.393 9.994 52.632 7.755 55.393 7.755 L 73.463 7.755 L 73.463 3.075 L 55.393 3.075 C 50.047 3.075 45.713 7.409 45.713 12.755 L 45.713 31.485 L 50.393 31.485 Z"></path>
                              <path d="M 73.573 206.799 L 55.503 206.799 C 52.742 206.799 50.503 204.56 50.503 201.799 L 50.503 183.069 L 45.823 183.069 L 45.823 201.799 C 45.823 207.145 50.157 211.479 55.503 211.479 L 73.573 211.479 L 73.573 206.799 Z"></path>
                              <path d="M 249.547 183.069 L 249.547 201.799 C 249.547 204.56 247.308 206.799 244.547 206.799 L 225.157 206.799 L 225.157 211.479 L 244.547 211.479 C 249.893 211.479 254.227 207.145 254.227 201.799 L 254.227 183.069 L 249.547 183.069 Z"></path>
                              <path d="M 244.68 214.77 L 55.38 214.77 C 50.272 214.77 46.13 218.911 46.13 224.02 L 46.13 265.58 C 46.125 270.692 50.268 274.84 55.38 274.84 L 125.93 274.84 C 126.544 274.837 127.134 275.078 127.57 275.51 L 148.31 296.25 C 149.219 297.15 150.682 297.15 151.59 296.25 L 172.34 275.51 C 172.774 275.075 173.366 274.833 173.98 274.84 L 244.56 274.84 C 249.673 274.84 253.816 270.692 253.81 265.58 L 253.81 224.02 C 253.849 218.942 249.758 214.797 244.68 214.77 Z" style="transform-box: fill-box; transform-origin: 50% 50%;" transform="matrix(-1, 0, 0, -1, -0.000006, -0.000011)"></path>
                            </g>
                        </g>
                    </svg>',
        'frame_height_scale' => 1.41,
        'frame_scale' => 500,

        'qr_background_scale' => 1.041,
        'qr_background_x' => 50,
        'qr_background_y' => 50,

        'qr_scale' => .85,
        'qr_translate_x' => 11.75,
        'qr_translate_y' => 11.75,

        'frame_text_x' => 50, // %
        'frame_text_y' => 90, // %
        'frame_text_size_scale' => 13,
        'frame_text_size_min_scale' => 50,
    ],
];
