<?php
/*
 * Copyright (c) 2025 AltumCode (https://altumcode.com/)
 *
 * This software is licensed exclusively by AltumCode and is sold only via https://altumcode.com/.
 * Unauthorized distribution, modification, or use of this software without a valid license is not permitted and may be subject to applicable legal actions.
 *
 * 🌍 View all other existing AltumCode projects via https://altumcode.com/
 * 📧 Get in touch for support or general queries via https://altumcode.com/contact
 * 📤 Download the latest version via https://altumcode.com/downloads
 *
 * 🐦 X/Twitter: https://x.com/AltumCode
 * 📘 Facebook: https://facebook.com/altumcode
 * 📸 Instagram: https://instagram.com/altumcode
 */

defined('ALTUMCODE') || die();

return [
    'image_optimizer' => [
        'icon' => 'fas fa-image'
    ],

    'png_to_jpg' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'png_to_webp',
            'png_to_bmp',
            'png_to_gif',
            'png_to_ico',
        ]
    ],

    'png_to_webp' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'png_to_jpg',
            'png_to_bmp',
            'png_to_gif',
            'png_to_ico',
        ]
    ],

    'png_to_bmp' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'png_to_jpg',
            'png_to_webp',
            'png_to_gif',
            'png_to_ico',
        ]
    ],

    'png_to_gif' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'png_to_jpg',
            'png_to_webp',
            'png_to_bmp',
            'png_to_ico',
        ]
    ],

    'png_to_ico' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'png_to_jpg',
            'png_to_webp',
            'png_to_gif',
            'png_to_bmp',
        ]
    ],

    'jpg_to_png' => [
        'icon' => 'fas fa-photo-video',
        'similar' => [
            'jpg_to_webp',
            'jpg_to_gif',
            'jpg_to_ico',
            'jpg_to_bmp',
        ]
    ],

    'jpg_to_webp' => [
        'icon' => 'fas fa-photo-video',
        'similar' => [
            'jpg_to_png',
            'jpg_to_gif',
            'jpg_to_ico',
            'jpg_to_bmp',
        ]
    ],

    'jpg_to_gif' => [
        'icon' => 'fas fa-photo-video',
        'similar' => [
            'jpg_to_png',
            'jpg_to_webp',
            'jpg_to_ico',
            'jpg_to_bmp',
        ]
    ],

    'jpg_to_ico' => [
        'icon' => 'fas fa-photo-video',
        'similar' => [
            'jpg_to_png',
            'jpg_to_webp',
            'jpg_to_gif',
            'jpg_to_bmp',
        ]
    ],

    'jpg_to_bmp' => [
        'icon' => 'fas fa-photo-video',
        'similar' => [
            'jpg_to_png',
            'jpg_to_webp',
            'jpg_to_gif',
            'jpg_to_ico',
        ]
    ],

    'webp_to_jpg' => [
        'icon' => 'fas fa-film',
        'similar' => [
            'webp_to_png',
            'webp_to_bmp',
            'webp_to_gif',
            'webp_to_ico',
        ]
    ],

    'webp_to_gif' => [
        'icon' => 'fas fa-film',
        'similar' => [
            'webp_to_png',
            'webp_to_bmp',
            'webp_to_jpg',
            'webp_to_ico',
        ]
    ],

    'webp_to_png' => [
        'icon' => 'fas fa-film',
        'similar' => [
            'webp_to_gif',
            'webp_to_bmp',
            'webp_to_jpg',
            'webp_to_ico',
        ]
    ],

    'webp_to_bmp' => [
        'icon' => 'fas fa-film',
        'similar' => [
            'webp_to_gif',
            'webp_to_png',
            'webp_to_jpg',
            'webp_to_ico',
        ]
    ],

    'webp_to_ico' => [
        'icon' => 'fas fa-film',
        'similar' => [
            'webp_to_gif',
            'webp_to_png',
            'webp_to_jpg',
            'webp_to_bmp',
        ]
    ],

    'bmp_to_jpg' => [
        'icon' => 'fas fa-portrait',
        'similar' => [
            'bmp_to_png',
            'bmp_to_webp',
            'bmp_to_gif',
            'bmp_to_ico',
        ]
    ],

    'bmp_to_gif' => [
        'icon' => 'fas fa-portrait',
        'similar' => [
            'bmp_to_png',
            'bmp_to_webp',
            'bmp_to_jpg',
            'bmp_to_ico',
        ]
    ],

    'bmp_to_png' => [
        'icon' => 'fas fa-portrait',
        'similar' => [
            'bmp_to_gif',
            'bmp_to_webp',
            'bmp_to_jpg',
            'bmp_to_ico',
        ]
    ],

    'bmp_to_webp' => [
        'icon' => 'fas fa-portrait',
        'similar' => [
            'bmp_to_gif',
            'bmp_to_png',
            'bmp_to_jpg',
            'bmp_to_ico',
        ]
    ],

    'bmp_to_ico' => [
        'icon' => 'fas fa-portrait',
        'similar' => [
            'bmp_to_gif',
            'bmp_to_png',
            'bmp_to_jpg',
            'bmp_to_webp',
        ]
    ],

    'ico_to_jpg' => [
        'icon' => 'fas fa-icons',
        'similar' => [
            'ico_to_png',
            'ico_to_webp',
            'ico_to_gif',
            'ico_to_bmp',
        ]
    ],

    'ico_to_gif' => [
        'icon' => 'fas fa-icons',
        'similar' => [
            'ico_to_png',
            'ico_to_webp',
            'ico_to_jpg',
            'ico_to_bmp',
        ]
    ],

    'ico_to_png' => [
        'icon' => 'fas fa-icons',
        'similar' => [
            'ico_to_gif',
            'ico_to_webp',
            'ico_to_jpg',
            'ico_to_bmp',
        ]
    ],

    'ico_to_webp' => [
        'icon' => 'fas fa-icons',
        'similar' => [
            'ico_to_gif',
            'ico_to_png',
            'ico_to_jpg',
            'ico_to_bmp',
        ]
    ],

    'ico_to_bmp' => [
        'icon' => 'fas fa-icons',
        'similar' => [
            'ico_to_gif',
            'ico_to_png',
            'ico_to_jpg',
            'ico_to_webp',
        ]
    ],

    'gif_to_jpg' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'gif_to_png',
            'gif_to_webp',
            'gif_to_ico',
            'gif_to_bmp',
        ]
    ],

    'gif_to_ico' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'gif_to_png',
            'gif_to_webp',
            'gif_to_jpg',
            'gif_to_bmp',
        ]
    ],

    'gif_to_png' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'gif_to_ico',
            'gif_to_webp',
            'gif_to_jpg',
            'gif_to_bmp',
        ]
    ],

    'gif_to_webp' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'gif_to_ico',
            'gif_to_png',
            'gif_to_jpg',
            'gif_to_bmp',
        ]
    ],

    'gif_to_bmp' => [
        'icon' => 'fas fa-camera-retro',
        'similar' => [
            'gif_to_ico',
            'gif_to_png',
            'gif_to_jpg',
            'gif_to_webp',
        ]
    ],
];
